<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.platform</groupId>
    <artifactId>logging</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.platform.logging</groupId>
  <artifactId>cef-logger-layout</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: LOGGING :: CEF LOGGER</name>
  <description>ENTAXY :: LOGGING :: CEF LOGGER</description>

	<properties>
		<bundle.osgi.export.pkg>ru.emdev.cef</bundle.osgi.export.pkg>
		<bundle.osgi.import.pkg>!ru.emdev.cef</bundle.osgi.import.pkg>
	</properties>
	
      <dependencies>
        <dependency>
            <groupId>org.apache.logging.log4j</groupId>
            <artifactId>log4j-api</artifactId>
            <version>2.13.2</version>
            <scope>compile</scope>
        </dependency>        <dependency>
            <groupId>org.apache.logging.log4j</groupId>
            <artifactId>log4j-core</artifactId>
            <version>2.13.2</version>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-core</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
        </dependency>

        <dependency>
            <groupId>org.junit.jupiter</groupId>
            <artifactId>junit-jupiter</artifactId>
            <version>5.8.1</version>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>org.mockito</groupId>
            <artifactId>mockito-all</artifactId>
            <version>1.10.19</version>
            <scope>test</scope>
        </dependency>
    </dependencies>

     <build>


        <plugins>

	        <plugin>
	            <groupId>org.apache.maven.plugins</groupId>
	            <artifactId>maven-compiler-plugin</artifactId>
	            <executions>
	                <execution>
	                    <id>log4j-plugin-processor</id>
	                    <goals>
	                        <goal>compile</goal>
	                    </goals>
	                    <phase>process-classes</phase>
	                    <configuration>
	                        <proc>only</proc>
	                        <annotationProcessors>
	                            <annotationProcessor>org.apache.logging.log4j.core.config.plugins.processor.PluginProcessor</annotationProcessor>
	                        </annotationProcessors>
	                    </configuration>
	                </execution>
	            </executions>
	        </plugin>


            <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <extensions>true</extensions>
                <configuration>
                    <instructions>
                        <Fragment-Host>org.ops4j.pax.logging.pax-logging-log4j2</Fragment-Host>
                        <Include-Resource>META-INF=${project.build.outputDirectory}/META-INF</Include-Resource>
                        <DynamicImport-Package>*</DynamicImport-Package>
                    </instructions>
                </configuration>
            </plugin>
        </plugins>
    </build>

  
</project>
